GET/payments/customers

List

Recovers all created payment customers

Parameters

Query Parameters

NameType
pageSize
number (double)
page
number (double)
name
string
email
string
cpf
string
cnpj
string

Responses

200Retrieve a list of all payment customers
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of payment customers

itemsobject

Response with information related to a payment customer

Example response

json
{
  "page": 0,
  "total": 0,
  "totalPages": 0,
  "results": [
    {
      "id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
      "type": "INDIVIDUAL",
      "name": "Marco Silva",
      "email": "msilva@pluggy.ai",
      "cpf": "123.456.789-00",
      "cnpj": null,
      "connector": null,
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/payments/customers' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Query Parameters